aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gtksourceview/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-14 10:36:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-14 10:38:19 +0000
commit8c8b1782cc03c792f08a121787f28ecb0a8c4fbf (patch)
tree97904e63fdef0bee73b6f5aae4e3a955b10aa201 /testing/gtksourceview/APKBUILD
parent35bb93d4c77fca338991a2732e72efc4976875eb (diff)
downloadaports-8c8b1782cc03c792f08a121787f28ecb0a8c4fbf.tar.gz
aports-8c8b1782cc03c792f08a121787f28ecb0a8c4fbf.tar.bz2
aports-8c8b1782cc03c792f08a121787f28ecb0a8c4fbf.tar.xz
testing/gtksourcview: new aport
A text widget adding syntax highlighting and more to GNOME http://live.gnome.org/GtkSourceView
Diffstat (limited to 'testing/gtksourceview/APKBUILD')
-rw-r--r--testing/gtksourceview/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/gtksourceview/APKBUILD b/testing/gtksourceview/APKBUILD
new file mode 100644
index 0000000000..c4ed809a6d
--- /dev/null
+++ b/testing/gtksourceview/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gtksourceview
+pkgver=2.8.2
+pkgrel=0
+pkgdesc="A text widget adding syntax highlighting and more to GNOME"
+url="http://live.gnome.org/GtkSourceView"
+license="GPL"
+depends=
+makedepends="gtk+-dev intltool libxml2-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/gnome/sources/gtksourceview/2.8/gtksourceview-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/gtksourceview-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/gtksourceview-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="5ce481d3aa7d639fe4508530b184158c gtksourceview-2.8.2.tar.bz2"